Description

History

#1 - 08/02/2012 05:41 PM - Eric Faulhaber

The content for these slides will come from the builtin_database_functions_methods_attributes.odt chapter of the P2J Conversion Reference.

The slides filename in Bazaar (in the p2j_training/developer1/ project) should be builtin_database_functions_methods_attributes.odp.

This chapter is primarily a reference chapter and as such, not every function/method/attribute discussed in the chapter needs to be represented by a

separate slide.  It probably makes sense to have a slide or two (maybe in two-column format) that list all of the entries alphabetically, but then only

break out separate slides for the following, which are either very commonly used, or are unusual in their syntax (e.g., a function that can be called

without function syntax (parentheses not necessary)):

AMBIGUOUS (unusual function syntax)

AVAILABLE (unusual function syntax)

FIRST (commonly used;  also similar in purpose/syntax to LAST function, so a separate slide for LAST is not necessary)

FIRST-OF (commonly used;  also similar in purpose/syntax to LAST-OF function, so a separate slide for LAST-OF is not necessary)

GET-FIRST (can be representative of GET-* family of methods, so separate slides for the others are not necessary)

LOCKED (unusual function syntax)

NEW (unusual function syntax)

ROWID (commonly used;  also similar in purpose/syntax to RECID function, so a separate slide for RECID is not necessary)

#2 - 08/09/2012 03:49 AM - Costin Savin

- Status changed from WIP to Review

#3 - 08/09/2012 12:30 PM - Costin Savin

- Status changed from Review to WIP

#4 - 08/10/2012 08:52 AM - Costin Savin

By mistake I made slides for all functions not just the ones specified above. Should I delete the extra slides or just mark them hidden in case they

might be used?
